Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# PatchMaker.Package Class Reference

List of all members.

## Public Member Functions
def | __init__
def | getBaseKey
def | getCurrentKey
def | getGenericKey
def | getTopKey
def | readDescFile
def | writeDescFile
## Public Attributes
| anyChanges
| baseFile
| basePv
| compressedFilename
| contentsDocPackage
| currentFile
| currentPv
| doc
| hostUrl
| packageDesc
| packageDir
| packageName
| patches
| patchMaker
| patchVersion
| platform
| topFile
| topPv
| version

## Detailed Description

    This is a particular package.  This contains all of the
    information needed to reconstruct the package's desc file.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | packageDesc,
|  |  | patchMaker,
|  |  | xpackage = `None`
| ) |  |

## Member Function Documentation

def getBaseKey | ( |  | self | ) |

    Returns the key to locate the "base" or oldest version
    of this package.

def getCurrentKey | ( |  | self | ) |

    Returns the key to locate the current version of this
    package.

def getGenericKey | ( |  | self,
|  |  | fileSpec
| ) |  |

    Returns the key that has the indicated hash.

def getTopKey | ( |  | self | ) |

    Returns the key to locate the "top" or newest version
    of this package.

def readDescFile | ( |  | self,
|  |  | doProcessing = `False`
| ) |  |

    Reads the existing package.xml file and stores it in
    this class for later rewriting.  if doProcessing is true,
    it may massage the file and the directory contents in
    preparation for building patches.  Returns true on
    success, false on failure.

def writeDescFile | ( |  | self | ) |

    Rewrites the desc file with the new patch
    information.

## Member Data Documentation

anyChanges

baseFile

basePv

compressedFilename

contentsDocPackage

currentFile

currentPv

doc

hostUrl

packageDesc

packageDir

packageName

patches

patchMaker

patchVersion

platform

topFile

topPv

version

All Classes Namespaces Functions Variables Enumerations Enumerator Properties